<?php
/*session_start();
if($_SESSION['adminkey'] !="security"){
	echo"You must be logged in as an administrator in order to export your menu.";
	exit;
}

//open db connection
$host = 'localhost'; 
$username = 'restaura_taste';
include('../custom/db1.php');
$password = 'Daughters2'; 
include ('../includes/mysql_connect.php');
$server = $_SERVER['SERVER_NAME'];
$image_path = $server . "/images/menu/";

*/

$params = array();

	$params['companyName'] = 'CompanyName';
	$params['storeName'] = 'StoreName';
	$params['storePassword'] = 'StorePassword';
	$params['partnerName'] = 'PartnerName';
	$params['partnerPassword'] = 'partnerPassword';
	$params['transactionNumber'] = 'transactionNumber';
    $params['paymentAmount'] = 100.00;
    $params['tipAmount'] = 10.00;
    $params['cardNumber'] = 'cardNumber';
    $params['cardExpMonth'] = 10;
    $params['cardExpYear'] = 2018;
    $params['cardName'] ='cardName';
    $params['cardCVV2'] ='cardCVV2';
    $params['zipCode'] ='zipCode';
    $params['phoneNumber'] ='phoneNumber';
    $params['ipAddress'] ='ipAddress';


$prod_url ="http://olympuspos.net/pos/posmenuetta.asmx?WSDL";
$test_url ="http://olypointofsale.com/postest/posmenuetta.asmx?WSDL";

$wsdl = $test_url;

$client = new soapclient($wsdl, array('trace' => 1));

$result = $client->ProcessPayment($params);
/*
echo "<br><br>Returned from SOAP: ";
print_r($result);
*/

echo "<br><br>Request:<br>";
$xmlDoc = DOMDocument::loadXML($client->__getLastRequest());
$xmlDoc->formatOutput=true;
print '<pre>' . htmlentities($xmlDoc->saveXML()).'</pre>';

echo "<br><br>Response:<br>";

$xmlDoc = DOMDocument::loadXML($client->__getLastResponse());
$xmlDoc->formatOutput=true;
print '<pre>' . htmlentities($xmlDoc->saveXML()).'</pre>';

?>